## bind9 9.20.0

=== debian/changelog ===
bind9 (1:9.20.0-2ubuntu3.2) oracular-security; urgency=medium

  * SECURITY UPDATE: message with invalid TSIG causes an assertion failure
    - debian/patches/CVE-2025-40775.patch: properly validate messages in
      lib/dns/include/dns/message.h, lib/dns/include/dns/tsig.h,
      lib/dns/message.c, lib/dns/tsig.c, tests/dns/tsig_test.c.
    - CVE-2025-40775

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 20 May 2025 07:30:37 -0400

bind9 (1:9.20.0-2ubuntu3.1) oracular-security; urgency=medium

  * SECURITY UPDATE: Many records in the additional section cause CPU
    exhaustion
    - debian/patches/CVE-2024-11187.patch: limit the additional processing
      for large RDATA sets in bin/tests/*, lib/dns/include/dns/rdataset.h,
      lib/dns/qpzone.c, lib/dns/rbt-zonedb.c, lib/dns/rdataset.c,
      lib/dns/resolver.c, lib/ns/query.c.
    - CVE-2024-11187
  * SECURITY UPDATE: DNS-over-HTTPS implementation suffers from multiple
    issues under heavy query load
    - debian/patches/CVE-2024-12705.patch: fix flooding issues in
      lib/isc/netmgr/http.c, lib/isc/netmgr/netmgr-int.h,
      lib/isc/netmgr/proxystream.c, lib/isc/netmgr/streamdns.c,
      lib/isc/netmgr/tcp.c, lib/isc/netmgr/tlsstream.c, 
    - CVE-2024-12705

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 28 Jan 2025 09:18:29 -0500

bind9 (1:9.20.0-2ubuntu3) oracular; urgency=medium

  * d/t/control: Disable dyndb-ldap test as bind-dyndb-ldap has been removed
    from Ubuntu for now (LP: #2078003).

 -- Lena Voytek <lena.voytek@canonical.com>  Wed, 28 Aug 2024 07:52:29 -0700

bind9 (1:9.20.0-2ubuntu2) oracular; urgency=medium

  * d/p/stop-using-malloc_usable_size.patch: Fix buffer overflows by removing
    memory size check implementations based on malloc_usable_size and
    malloc_size (LP: #2077327).

 -- Lena Voytek <lena.voytek@canonical.com>  Mon, 26 Aug 2024 11:23:58 -0700

bind9 (1:9.20.0-2ubuntu1) oracular; urgency=medium

  * Merge with Debian unstable to update to new 9.20 LTS
    Upstream release info: https://www.isc.org/blogs/2024-bind920/
  * Remaining changes:
    - Don't build dnstap as it depends on universe packages:
      + d/control: drop build-depends on libfstrm-dev, libprotobuf-c-dev and
        protobuf-c-compiler (universe packages)
      + d/dnsutils.install: don't install dnstap
      + d/rules: don't build dnstap nor install dnstap.proto
    - Add back apport:
      + d/bind9.apport: add back old bind9 apport hook, but without calling
        attach_conffiles() since that is already done by apport itself, with
        confirmation from the user.
      + d/control, d/rules: build-depends on dh-apport and use it
    - d/control: remove optional libjemalloc-dev Build-Depends as it is not in
      main.
    - d/NEWS: mention relevant packaging changes
    - Improve dep-8 test suite (LP #2003584):
      + d/t/zonetest: Add dep8 test for checking the domain zone creation process
      + d/t/control: Add new test outline
    - d/po/de.po: Fix German UTF-8 encoding
    - d/copyright: Fix lintian warnings
      + Remove the entry for lib/isc/hp.c lib/isc/include/isc/hp.h as they were
        deleted in 9.18.2
      + Remove the entry for lib/isc/include/pkcs11/pkcs11.h as it is no longer
        bundled as of 9.17.19
      + Update the location of random_test.c and add info about its public
        domain section
      + Add wildcards to folders as needed
      + Note that m4/ uses the FSFAP license
    - d/control: Remove lsb-base dependency as it is no longer needed
      + See https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=1019851
    - d/t/control, d/t/dyndb-ldap: add DEP8 test (LP #2032650)
    - bind9-libs: Hard-code libuv1t64 instead of libuv1.
  * Dropped Changes:
    - d/p/always-use-standard-library-stdatomic.patch: Fixed upstream

 -- Lena Voytek <lena.voytek@canonical.com>  Mon, 12 Aug 2024 11:47:50 -0700

bind9 (1:9.20.0-2) unstable; urgency=medium

  * Fix the assertion failure in samba-libs DLZ module. (Closes: #1074378)

 -- Ondřej Surý <ondrej@debian.org>  Sat, 27 Jul 2024 05:02:39 +0200

bind9 (1:9.20.0-1) unstable; urgency=high

  * New upstream version 9.20.0
   - CVE-2024-0760: A flood of DNS messages over TCP may make the server
     unstable
   - CVE-2024-1737: BIND's database will be slow if a very large number of
     RRs exist at the same name
   - CVE-2024-1975: SIG(0) can be used to exhaust CPU resources
   - CVE-2024-4076: Assertion failure when serving both stale cache data
     and authoritative zone content

 -- Ondřej Surý <ondrej@debian.org>  Tue, 16 Jul 2024 17:26:47 +0200

bind9 (1:9.19.24-185-g392e7199df2-1) unstable; urgency=medium

  * New upstream version 9.19.24-185-g392e7199df2

 -- Ondřej Surý <ondrej@debian.org>  Thu, 20 Jun 2024 15:11:56 +0200

bind9 (1:9.19.24-2) unstable; urgency=medium

  * Add dnssec-ksr tool to bind9-utils package

 -- Ondřej Surý <ondrej@debian.org>  Wed, 15 May 2024 20:59:35 +0200

bind9 (1:9.19.24-1) unstable; urgency=medium

  * New upstream version 9.19.24

 -- Ondřej Surý <ondrej@debian.org>  Wed, 15 May 2024 19:55:59 +0200

bind9 (1:9.19.23-1) unstable; urgency=medium

  * New upstream version 9.19.23

 -- Ondřej Surý <ondrej@debian.org>  Wed, 17 Apr 2024 23:48:03 +0200

bind9 (1:9.19.22-1) unstable; urgency=medium

  * New upstream version 9.19.22
   - A regression caused by CVE-2023-6516 fix could lead into
     an out-of-memory condition when the server is under heavy
     load.

 -- Ondřej Surý <ondrej@debian.org>  Wed, 20 Mar 2024 14:17:43 +0100

bind9 (1:9.18.28-0ubuntu1) oracular; urgency=medium

  * Updated to 9.18.28 to fix multiple security issues.
    - CVE-2024-0760: A flood of DNS messages over TCP may make the server
      unstable
    - CVE-2024-1737: BIND's database will be slow if a very large number of
      RRs exist at the same name
    - CVE-2024-1975: SIG(0) can be used to exhaust CPU resources
    - CVE-2024-4076: Assertion failure when serving both stale cache data


=== debian/control ===
Source: bind9
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian DNS Team <team+dns@tracker.debian.org>
Uploaders: Ondřej Surý <ondrej@debian.org>,
           Bernhard Schmidt <berni@debian.org>
Build-Depends: bison,
               debhelper-compat (= 12),
               dh-apparmor,
               dh-apport,
               dh-exec,
               libcap2-dev [linux-any],
               libcmocka-dev,
               libdb-dev,
               libedit-dev,
               libidn2-dev,
               libjson-c-dev,
               libkrb5-dev,
               liblmdb-dev,
               libltdl-dev,
               libmaxminddb-dev (>= 1.3.0),
               libnghttp2-dev,
               libssl-dev,
               libsystemd-dev [linux-any],
               libtool,
               liburcu-dev,
               libuv1-dev,
               libxml2-dev,
               pkg-config,
               zlib1g-dev
Build-Depends-Indep: fonts-freefont-otf,
                     latexmk,
                     python3-sphinx,
                     python3-sphinx-rtd-theme,
                     texlive-fonts-extra,
                     texlive-latex-recommended,
                     texlive-xetex,
                     xindy
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/dns-team/bind9
Vcs-Git: https://salsa.debian.org/dns-team/bind9.git -b debian/9.19
Homepage: https://www.isc.org/downloads/bind/

Package: bind9
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: adduser,
         bind9-libs (= ${binary:Version}),
         bind9-utils (= ${binary:Version}),
         debconf | debconf-2.0,
         dns-root-data,
         iproute2,
         netbase,
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: bind-doc,
          dnsutils,
          resolvconf,
          ufw
Breaks: bind (<< 1:9.13.6~)
Replaces: bind (<< 1:9.13.6~)
Description: Internet Domain Name Server
 The Berkeley Internet Name Domain (BIND 9) implements an Internet domain
 name server.  BIND 9 is the most widely-used name server software on the
 Internet, and is supported by the Internet Software Consortium, www.isc.org.
 .
 This package provides the server and related configuration files.

Package: bind9utils
Architecture: all
Depends: bind9-utils,
         ${misc:Depends}
Priority: optional
Section: oldlibs
Description: Transitional package for bind9-utils
 This is a transitional package. It can safely be removed.

Package: bind9-utils
Architecture: any
Depends: bind9-libs (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: bind-utils (<< 1:9.13.6~),
        bind9utils (<< 1:9.12.0~),
        freeipa
Replaces: bind-utils (<< 1:9.13.6~),
          bind9utils (<< 1:9.12.0~)
Provides: bind9utils
Description: Utilities for BIND 9
 This package provides various utilities that are useful for maintaining a
 working BIND 9 installation.

Package: bind9-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Breaks: bind-doc (<< 1:9.13.6~)
Replaces: bind-doc (<< 1:9.13.6~)
Description: Documentation for BIND 9
 This package provides various documents that are useful for maintaining a
 working BIND 9 installation.

Package: bind9-host
Priority: standard
Architecture: any
Depends: bind9-libs (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Provides: host
Breaks: bind-host (<< 1:9.13.6~)
Replaces: bind-host (<< 1:9.13.6~)
Description: DNS Lookup Utility
 This package provides the 'host' DNS lookup utility in the form that
 is bundled with the BIND 9 sources.

Package: bind9-libs
Section: libs
Priority: standard
Architecture: any
Multi-Arch: same
Depends: libuv1t64 (>= 1.40.0),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: bind-libs (<< 1:9.13.6~)
Replaces: bind-libs (<< 1:9.13.6~)
Description: Shared Libraries used by BIND 9
 The Berkeley Internet Name Domain (BIND 9) implements an Internet domain
 name server.  BIND 9 is the most widely-used name server software on the
 Internet, and is supported by the Internet Software Consortium, www.isc.org.
 .
 This package contains a bundle of shared libraries used by BIND 9.

Package: bind9-dev
Section: devel
Priority: optional
Architecture: any
Multi-Arch: same
Depends: bind9-libs (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: libbind-dev (<< 1:9.16.0~)
Replaces: libbind-dev (<< 1:9.16.0~)
Description: Static Libraries and Headers used by BIND 9
 The Berkeley Internet Name Domain (BIND 9) implements an Internet domain
 name server.  BIND 9 is the most widely-used name server software on the
 Internet, and is supported by the Internet Software Consortium, www.isc.org.
 .
 This package contains a bundle of static libraries and header files used by
 BIND 9.
 .
 Please be aware that the BIND 9 libraries are considered private by upstream
 developers and the API and ABI might break at any time.

Package: dnsutils
Architecture: all
Depends: bind9-dnsutils,
         ${misc:Depends}
Priority: optional
Section: oldlibs
Description: Transitional package for bind9-dnsutils
 This is a transitional package. It can safely be removed.

Package: bind9-dnsutils
Priority: standard
Architecture: any
Depends: bind9-host | host,
         bind9-libs (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: bind-dnsutils (<< 1:9.13.6~),
        dnsutils (<< 1:9.13.6~)
Conflicts: bind-dnsutils (<< 1:9.13.6~),
           dnsutils (<< 1:9.13.6~)
Provides: dnsutils
Description: Clients provided with BIND 9
 The Berkeley Internet Name Domain (BIND 9) implements an Internet domain
 name server.  BIND 9 is the most widely-used name server software on the
 Internet, and is supported by the Internet Software Consortium, www.isc.org.
 .
 This package delivers various client programs related to DNS that are
 derived from the BIND 9 source tree.
 .
  - dig - query the DNS in various ways
  - nslookup - the older way to do it
  - nsupdate - perform dynamic updates (See RFC2136)

## bind9 9.20.4

=== debian/changelog ===
bind9 (1:9.20.4-4) unstable; urgency=medium

  * Revert "Temporarily use rbtdb as a zone database to prevent assertion
    failure"
  * Add pre-release patch for the NSEC3 encloser assertion failure

 -- Ondřej Surý <ondrej@debian.org>  Tue, 21 Jan 2025 16:16:07 +0100

bind9 (1:9.20.4-3) unstable; urgency=high

  * Temporarily use rbtdb as a zone database as workaround for an upstream
    bug.

 -- Ondřej Surý <ondrej@debian.org>  Thu, 19 Dec 2024 05:56:30 +0100

bind9 (1:9.20.4-2) unstable; urgency=medium

  * Add upstream patch for the new GLUE cache implementation

 -- Ondřej Surý <ondrej@debian.org>  Sun, 15 Dec 2024 08:02:25 +0100

bind9 (1:9.20.4-1) unstable; urgency=medium

  * New upstream version 9.20.4

 -- Ondřej Surý <ondrej@debian.org>  Wed, 11 Dec 2024 17:35:53 +0100

bind9 (1:9.20.3-1) unstable; urgency=medium

  * New upstream version 9.20.3

 -- Ondřej Surý <ondrej@debian.org>  Thu, 10 Oct 2024 10:37:54 +0200

bind9 (1:9.20.2-1) unstable; urgency=medium

  * New upstream version 9.20.2

 -- Ondřej Surý <ondrej@debian.org>  Fri, 20 Sep 2024 14:35:10 +0200

bind9 (1:9.20.1-1) unstable; urgency=medium

  * New upstream version 9.20.1

 -- Ondřej Surý <ondrej@debian.org>  Wed, 21 Aug 2024 15:07:52 +0200

=== debian/control ===
--- 
+++ 
@@ -1,26 +1,27 @@
 Source: bind9
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian DNS Team <team+dns@tracker.debian.org>
+Maintainer: Debian DNS Team <team+dns@tracker.debian.org>
 Uploaders: Ondřej Surý <ondrej@debian.org>,
            Bernhard Schmidt <berni@debian.org>
 Build-Depends: bison,
                debhelper-compat (= 12),
                dh-apparmor,
-               dh-apport,
                dh-exec,
                libcap2-dev [linux-any],
                libcmocka-dev,
                libdb-dev,
                libedit-dev,
+               libfstrm-dev,
                libidn2-dev,
+               libjemalloc-dev,
                libjson-c-dev,
                libkrb5-dev,
                liblmdb-dev,
                libltdl-dev,
                libmaxminddb-dev (>= 1.3.0),
                libnghttp2-dev,
+               libprotobuf-c-dev,
                libssl-dev,
                libsystemd-dev [linux-any],
                libtool,
@@ -28,6 +29,7 @@
                libuv1-dev,
                libxml2-dev,
                pkg-config,
+               protobuf-c-compiler,
                zlib1g-dev
 Build-Depends-Indep: fonts-freefont-otf,
                      latexmk,
@@ -51,6 +53,7 @@
          debconf | debconf-2.0,
          dns-root-data,
          iproute2,
+         lsb-base (>= 3.2-14),
          netbase,
          ${misc:Depends},
          ${shlibs:Depends}
@@ -119,8 +122,7 @@
 Priority: standard
 Architecture: any
 Multi-Arch: same
-Depends: libuv1t64 (>= 1.40.0),
-         ${misc:Depends},
+Depends: ${misc:Depends},
          ${shlibs:Depends}
 Breaks: bind-libs (<< 1:9.13.6~)
 Replaces: bind-libs (<< 1:9.13.6~)

## bind9 9.20.8

=== debian/changelog ===
bind9 (1:9.20.8-6) unstable; urgency=medium

  * Adjust the autopkg zonetest

 -- Ondřej Surý <ondrej@debian.org>  Fri, 18 Apr 2025 18:40:30 +0200

bind9 (1:9.20.8-5) unstable; urgency=medium

  [ Remus-Gabriel Chelu ]
  * [INTL:ro] Romanian debconf templates translation of bind9

  [ Ondřej Surý ]
  * Fix lintian mismatched-override
  * Use pkgconf instead of pkg-config
  * Remove superfluous-file-pattern(s) from d/copyright
  * Remove full path to named-checkconf in d/bind9.postinst

 -- Ondřej Surý <ondrej@debian.org>  Thu, 17 Apr 2025 21:50:52 +0200

bind9 (1:9.20.8-4) unstable; urgency=medium

  [ Lena Voytek ]
  * Add zonetest DEP-8 test

 -- Ondřej Surý <ondrej@debian.org>  Thu, 17 Apr 2025 21:21:42 +0200

bind9 (1:9.20.8-3) unstable; urgency=medium

  [ Lena Voytek ]
  * Fix German UTF-8 encoding
  * Clean up debian/copyright file
  * Remove lsb-base runtime dependency as it is no longer needed

  [ Santiago Ruano Rincón ]
  * Add debian/salsa-ci.yml
  * Make d/tests/validation less flaky.

  [ Carles Pina i Estany ]
  * Added po-debconf Catalan translation

  [ Mitchell Dzurick ]
  * d/control: Suggest bind9-doc over bind-doc for the bind9 package

  [ Debian Janitor ]
  * Apply multi-arch hints. + bind9-doc: Add Multi-Arch: foreign.

 -- Ondřej Surý <ondrej@debian.org>  Thu, 17 Apr 2025 21:07:33 +0200

bind9 (1:9.20.8-2) unstable; urgency=medium

  * Validate configuration file before service restart
    (Closes: #995310, #1054314)

 -- Ondřej Surý <ondrej@debian.org>  Thu, 17 Apr 2025 18:49:10 +0200

bind9 (1:9.20.8-1) unstable; urgency=medium

  * New upstream version 9.20.8

 -- Ondřej Surý <ondrej@debian.org>  Wed, 16 Apr 2025 15:05:13 +0200

bind9 (1:9.20.7-1) unstable; urgency=medium

  * New upstream version 9.20.7

 -- Ondřej Surý <ondrej@debian.org>  Thu, 13 Mar 2025 11:37:20 +0100

bind9 (1:9.20.6-1) unstable; urgency=medium

  * Add Provides: bind9utils and Provides: dnsutils to the respective
    packages
  * New upstream version 9.20.6

 -- Ondřej Surý <ondrej@debian.org>  Wed, 19 Feb 2025 16:00:19 +0100

bind9 (1:9.20.5-1) unstable; urgency=medium

  * New upstream version 9.20.5 (Closes: #1094735)
   - CVE-2024-12705: DNS-over-HTTPS flooding fixes
   - CVE-2024-11187: Limit additional section processing for large RDATA
     sets
  * Drop libltdl-dev from Build-Depends, libuv wrappers are used
    for dlopen and friends.

 -- Ondřej Surý <ondrej@debian.org>  Mon, 27 Jan 2025 12:21:49 +0100

## bind9 9.20.9

=== debian/changelog ===
bind9 (1:9.20.9-1) unstable; urgency=high

  * New upstream version 9.20.9
   + [CVE-2025-40775] Prevent assertion when processing TSIG algorithm.

 -- Ondřej Surý <ondrej@debian.org>  Wed, 21 May 2025 13:44:48 +0200

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,6 @@
                libjson-c-dev,
                libkrb5-dev,
                liblmdb-dev,
-               libltdl-dev,
                libmaxminddb-dev (>= 1.3.0),
                libnghttp2-dev,
                libprotobuf-c-dev,
@@ -28,7 +27,7 @@
                liburcu-dev,
                libuv1-dev,
                libxml2-dev,
-               pkg-config,
+               pkgconf,
                protobuf-c-compiler,
                zlib1g-dev
 Build-Depends-Indep: fonts-freefont-otf,
@@ -53,12 +52,11 @@
          debconf | debconf-2.0,
          dns-root-data,
          iproute2,
-         lsb-base (>= 3.2-14),
          netbase,
          ${misc:Depends},
          ${shlibs:Depends}
-Suggests: bind-doc,
-          dnsutils,
+Suggests: bind9-doc,
+          bind9-dnsutils,
           resolvconf,
           ufw
 Breaks: bind (<< 1:9.13.6~)
@@ -70,25 +68,12 @@
  .
  This package provides the server and related configuration files.
 
-Package: bind9utils
-Architecture: all
-Depends: bind9-utils,
-         ${misc:Depends}
-Priority: optional
-Section: oldlibs
-Description: Transitional package for bind9-utils
- This is a transitional package. It can safely be removed.
-
 Package: bind9-utils
 Architecture: any
 Depends: bind9-libs (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
-Breaks: bind-utils (<< 1:9.13.6~),
-        bind9utils (<< 1:9.12.0~),
-        freeipa
-Replaces: bind-utils (<< 1:9.13.6~),
-          bind9utils (<< 1:9.12.0~)
+Breaks: freeipa
 Provides: bind9utils
 Description: Utilities for BIND 9
  This package provides various utilities that are useful for maintaining a
@@ -100,6 +85,7 @@
 Depends: ${misc:Depends}
 Breaks: bind-doc (<< 1:9.13.6~)
 Replaces: bind-doc (<< 1:9.13.6~)
+Multi-Arch: foreign
 Description: Documentation for BIND 9
  This package provides various documents that are useful for maintaining a
  working BIND 9 installation.
@@ -107,6 +93,7 @@
 Package: bind9-host
 Priority: standard
 Architecture: any
+Multi-Arch: foreign
 Depends: bind9-libs (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
@@ -154,27 +141,15 @@
  Please be aware that the BIND 9 libraries are considered private by upstream
  developers and the API and ABI might break at any time.
 
-Package: dnsutils
-Architecture: all
-Depends: bind9-dnsutils,
-         ${misc:Depends}
-Priority: optional
-Section: oldlibs
-Description: Transitional package for bind9-dnsutils
- This is a transitional package. It can safely be removed.
-
 Package: bind9-dnsutils
 Priority: standard
 Architecture: any
+Multi-Arch: foreign
+Provides: dnsutils
 Depends: bind9-host | host,
          bind9-libs (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
-Breaks: bind-dnsutils (<< 1:9.13.6~),
-        dnsutils (<< 1:9.13.6~)
-Conflicts: bind-dnsutils (<< 1:9.13.6~),
-           dnsutils (<< 1:9.13.6~)
-Provides: dnsutils
 Description: Clients provided with BIND 9
  The Berkeley Internet Name Domain (BIND 9) implements an Internet domain
  name server.  BIND 9 is the most widely-used name server software on the

## bind9 9.20.10

=== debian/changelog ===
bind9 (1:9.20.10-1ubuntu1) questing; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - Don't build dnstap as it depends on universe packages:
      + d/control: drop build-depends on libfstrm-dev, libprotobuf-c-dev and
        protobuf-c-compiler (universe packages)
      + d/dnsutils.install: don't install dnstap
      + d/rules: don't build dnstap nor install dnstap.proto
    - Add back apport:
      + d/bind9.apport: add back old bind9 apport hook, but without calling
        attach_conffiles() since that is already done by apport itself, with
        confirmation from the user.
      + d/control, d/rules: build-depends on dh-apport and use it
    - d/NEWS: mention relevant packaging changes
    - d/t/control, d/t/dyndb-ldap: add DEP8 test (LP #2032650)
    - d/t/control: Disable dyndb-ldap test as bind-dyndb-ldap has been removed
      from Ubuntu for now (LP #2078003).
    - bind9-libs: Hard-code libuv1t64 instead of libuv1.

 -- Lena Voytek <lena.voytek@canonical.com>  Mon, 23 Jun 2025 09:41:50 -0400

bind9 (1:9.20.10-1) unstable; urgency=medium

  * New upstream version 9.20.10

 -- Ondřej Surý <ondrej@debian.org>  Fri, 20 Jun 2025 06:25:07 +0200

bind9 (1:9.20.9-2ubuntu1) questing; urgency=medium

  * Merge with Debian unstable (LP: #2110436). Remaining changes:
    - Don't build dnstap as it depends on universe packages:
      + d/control: drop build-depends on libfstrm-dev, libprotobuf-c-dev and
        protobuf-c-compiler (universe packages)
      + d/dnsutils.install: don't install dnstap
      + d/rules: don't build dnstap nor install dnstap.proto
    - Add back apport:
      + d/bind9.apport: add back old bind9 apport hook, but without calling
        attach_conffiles() since that is already done by apport itself, with
        confirmation from the user.
      + d/control, d/rules: build-depends on dh-apport and use it
    - d/NEWS: mention relevant packaging changes
    - d/t/control, d/t/dyndb-ldap: add DEP8 test (LP #2032650)
    - d/t/control: Disable dyndb-ldap test as bind-dyndb-ldap has been removed
      from Ubuntu for now (LP #2078003).
    - bind9-libs: Hard-code libuv1t64 instead of libuv1.
  * Drop Changes:
    - Improve dep-8 test suite (LP #2003584):
      + d/t/zonetest: Add dep8 test for checking the domain zone creation process
      + d/t/control: Add new test outline
    - d/po/de.po: Fix German UTF-8 encoding
    - d/control: Remove lsb-base dependency as it is no longer needed
      + See https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=1019851
    - d/copyright: Fix lintian warnings
    [Added to Debian]
    - d/p/CVE-2025-40775.patch
    [Fixed in 9.20.9]

 -- Lena Voytek <lena.voytek@canonical.com>  Thu, 05 Jun 2025 13:34:24 -0400

bind9 (1:9.20.9-2) unstable; urgency=low

  * Fix the default branch in the Vcs-Git field (Closes: #1106677)

 -- Ondřej Surý <ondrej@debian.org>  Wed, 28 May 2025 13:39:20 +0200

bind9 (1:9.20.4-3ubuntu3) questing; urgency=medium

  * No-change rebuild for libxml2 soname change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 26 May 2025 14:23:49 +0200

bind9 (1:9.20.4-3ubuntu2) questing; urgency=medium

  * SECURITY UPDATE: message with invalid TSIG causes an assertion failure
    - debian/patches/CVE-2025-40775.patch: properly validate messages in
      lib/dns/include/dns/message.h, lib/dns/include/dns/tsig.h,
      lib/dns/message.c, lib/dns/tsig.c, tests/dns/tsig_test.c.
    - CVE-2025-40775

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 20 May 2025 07:25:11 -0400

bind9 (1:9.20.4-3ubuntu1) plucky; urgency=medium

  * Merge with Debian unstable (LP: #2085207). Remaining changes:
    - Don't build dnstap as it depends on universe packages:
      + d/control: drop build-depends on libfstrm-dev, libprotobuf-c-dev and
        protobuf-c-compiler (universe packages)
      + d/dnsutils.install: don't install dnstap
      + d/rules: don't build dnstap nor install dnstap.proto
    - Add back apport:
      + d/bind9.apport: add back old bind9 apport hook, but without calling
        attach_conffiles() since that is already done by apport itself, with
        confirmation from the user.
      + d/control, d/rules: build-depends on dh-apport and use it
    - d/NEWS: mention relevant packaging changes
    - Improve dep-8 test suite (LP #2003584):
      + d/t/zonetest: Add dep8 test for checking the domain zone creation process
      + d/t/control: Add new test outline
    - d/po/de.po: Fix German UTF-8 encoding
    - d/copyright: Fix lintian warnings
      + Remove the entry for lib/isc/hp.c lib/isc/include/isc/hp.h as they were
        deleted in 9.18.2
      + Remove the entry for lib/isc/include/pkcs11/pkcs11.h as it is no longer
        bundled as of 9.17.19
      + Update the location of random_test.c and add info about its public
        domain section
      + Add wildcards to folders as needed
      + Note that m4/ uses the FSFAP license
    - d/control: Remove lsb-base dependency as it is no longer needed
      + See https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=1019851
    - d/t/control, d/t/dyndb-ldap: add DEP8 test (LP #2032650), but disable it
      as bind-dyndb-ldap has been removed from Ubuntu for now (LP #2078003).
    - bind9-libs: Hard-code libuv1t64 instead of libuv1.
  * Drop Changes:
    - d/p/stop-using-malloc_usable_size.patch: Fixed upstream -
      https://gitlab.isc.org/isc-projects/bind9/-/issues/4880
    - libjemalloc-dev dependency removal: Re-added as jemalloc is now in main
      (LP 2088056).

 -- Lena Voytek <lena.voytek@canonical.com>  Thu, 09 Jan 2025 15:52:20 -0500

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,19 @@
 Source: bind9
 Section: net
 Priority: optional
-Maintainer: Debian DNS Team <team+dns@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian DNS Team <team+dns@tracker.debian.org>
 Uploaders: Ondřej Surý <ondrej@debian.org>,
            Bernhard Schmidt <berni@debian.org>
 Build-Depends: bison,
                debhelper-compat (= 12),
                dh-apparmor,
+               dh-apport,
                dh-exec,
                libcap2-dev [linux-any],
                libcmocka-dev,
                libdb-dev,
                libedit-dev,
-               libfstrm-dev,
                libidn2-dev,
                libjemalloc-dev,
                libjson-c-dev,
@@ -20,7 +21,6 @@
                liblmdb-dev,
                libmaxminddb-dev (>= 1.3.0),
                libnghttp2-dev,
-               libprotobuf-c-dev,
                libssl-dev,
                libsystemd-dev [linux-any],
                libtool,
@@ -28,7 +28,6 @@
                libuv1-dev,
                libxml2-dev,
                pkgconf,
-               protobuf-c-compiler,
                zlib1g-dev
 Build-Depends-Indep: fonts-freefont-otf,
                      latexmk,
@@ -40,7 +39,7 @@
                      xindy
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/dns-team/bind9
-Vcs-Git: https://salsa.debian.org/dns-team/bind9.git -b debian/9.19
+Vcs-Git: https://salsa.debian.org/dns-team/bind9.git -b debian/9.20
 Homepage: https://www.isc.org/downloads/bind/
 
 Package: bind9
@@ -109,7 +108,8 @@
 Priority: standard
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends},
+Depends: libuv1t64 (>= 1.40.0),
+         ${misc:Depends},
          ${shlibs:Depends}
 Breaks: bind-libs (<< 1:9.13.6~)
 Replaces: bind-libs (<< 1:9.13.6~)

## bind9 9.20.11

=== debian/changelog ===
bind9 (1:9.20.11-1ubuntu2) questing; urgency=medium

  * Rebuild to include updated RISC-V base ISA RVA23

 -- Heinrich Schuchardt <heinrich.schuchardt@canonical.com>  Wed, 03 Sep 2025 15:03:19 +0000

bind9 (1:9.20.11-1ubuntu1) questing; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - Don't build dnstap as it depends on universe packages:
      + d/control: drop build-depends on libfstrm-dev, libprotobuf-c-dev and
        protobuf-c-compiler (universe packages)
      + d/dnsutils.install: don't install dnstap
      + d/rules: don't build dnstap nor install dnstap.proto
    - Add back apport:
      + d/bind9.apport: add back old bind9 apport hook, but without calling
        attach_conffiles() since that is already done by apport itself, with
        confirmation from the user.
      + d/control, d/rules: build-depends on dh-apport and use it
    - d/NEWS: mention relevant packaging changes
  * Drop changes:
    - dyndb-ldap test: bind-dyndb-ldap likely will not return to the archive,
      and if it is this test can be re-added manually:
      + d/t/control, d/t/dyndb-ldap: add DEP8 test (LP #2032650)
      + d/t/control: Disable dyndb-ldap test as bind-dyndb-ldap has been removed
        from Ubuntu for now (LP #2078003).
    - bind9-libs: Hard-code libuv1t64 instead of libuv1 - no longer needed.

 -- Lena Voytek <lena.voytek@canonical.com>  Thu, 24 Jul 2025 13:50:58 -0400

bind9 (1:9.20.11-1) unstable; urgency=high

  * New upstream version 9.20.11
   + [CVE2025-40777]: Fix a possible assertion failure when
     stale-answer-client-timeout is set to 0.

 -- Ondřej Surý <ondrej@debian.org>  Wed, 16 Jul 2025 17:08:46 +0200

=== debian/control ===
--- 
+++ 
@@ -108,8 +108,7 @@
 Priority: standard
 Architecture: any
 Multi-Arch: same
-Depends: libuv1t64 (>= 1.40.0),
-         ${misc:Depends},
+Depends: ${misc:Depends},
          ${shlibs:Depends}
 Breaks: bind-libs (<< 1:9.13.6~)
 Replaces: bind-libs (<< 1:9.13.6~)

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1

export DEB_CFLAGS_MAINT_APPEND = -fno-strict-aliasing -fno-delete-null-pointer-checks -DNO_VERSION_DATE -DDIG_SIGCHASE

export DPKG_GENSYMBOLS_CHECK_LEVEL := 4

include /usr/share/dpkg/default.mk

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

COMMA = ,
ifneq (,$(filter parallel=%,$(subst $(COMMA), ,$(DEB_BUILD_OPTIONS))))
  NJOBS := -j $(subst parallel=,,$(filter parallel=%,$(subst $(COMMA), ,$(DEB_BUILD_OPTIONS))))
endif

export arch = $(DEB_HOST_ARCH)

ifeq ($(DEB_HOST_ARCH_OS),kfreebsd)
EXTRA_FEATURES=--disable-linux-caps
endif

DEB_VERSION_REVISION := $(call dpkg_late_eval,DEB_VERSION_REVISION,echo '$(DEB_VERSION_UPSTREAM_REVISION)' | sed -e 's/^[^-]*//')

SED_VERSION_EXTENSIONS := \
	sed -e 's/\[bind_VERSION_EXTRA\], .*)/[bind_VERSION_EXTRA], $(DEB_VERSION_REVISION)-$(DEB_VENDOR))/'

EXCLUDE_FILES :=			\
	--exclude=.la			\
	--exclude=lwresd		\
	--exclude=__pycache_		\
	--exclude=sample.so		\
	--exclude=dlzexternal.so	\
	--exclude=test-async.so		\
	--exclude=libbind9.la		\
	--exclude=libdns.la		\
	--exclude=libirs.la		\
	--exclude=libisccc.la		\
	--exclude=libisccfg.la		\
	--exclude=libisc.la		\
	--exclude=libns.la

%:
	dh $@ --with apport

prepare_version_extensions:
	if [ ! -f configure.ac.bak ]; then \
	  mv configure.ac configure.ac.bak; \
	  $(SED_VERSION_EXTENSIONS) < configure.ac.bak > configure.ac; \
	fi

clean_version_extensions:
	if [ -f configure.ac.bak ]; then \
	  mv configure.ac.bak configure.ac; \
	fi

override_dh_autoreconf: prepare_version_extensions
	dh_autoreconf

override_dh_auto_configure:
	dh_auto_configure -- \
		--libdir=/usr/lib/$(DEB_HOST_MULTIARCH) \
		--sysconfdir=/etc/bind \
		--with-python=python3 \
		--localstatedir=/ \
		--enable-threads \
		--enable-largefile \
		--with-libtool \
		--enable-shared \
		--disable-static \
		--with-gost=no \
		--with-openssl=/usr \
		--with-gssapi=yes \
		--with-libidn2 \
		--with-json-c \
		--with-lmdb=/usr \
		--with-gnu-ld \
		--with-maxminddb \
		--with-atf=no \
		--enable-ipv6 \
		--enable-rrl \
		--enable-filter-aaaa \
		--disable-native-pkcs11 \
		$(EXTRA_FEATURES)

override_dh_auto_build:
	sed -i 's/:gl:`\([#!][^`]*\)`/[GL \1]/g' doc/notes/*.rst
	dh_auto_build -- all html

override_dh_auto_clean: clean_version_extensions
	sed -i 's/\[GL \([#!][^]]*\)]/:gl:`\1`/g' doc/notes/*.rst
	dh_auto_clean

override_dh_auto_install:
	dh_auto_install --destdir=$(CURDIR)/debian/tmp -- install install-html

override_dh_auto_test:
	:

override_dh_installinit:
	dh_installinit -pbind9 --name=named
	dh_installinit --remaining

override_dh_installsystemd:
	dh_installsystemd -pbind9 --no-enable --name=named-resolvconf named-resolvconf.service
	dh_installsystemd -pbind9 --name=named named.service
	dh_installsystemd --remaining

override_dh_install:
	dh_install $(EXCLUDE_FILES)
	# Install apparmor profile
	dh_apparmor -pbind9 --profile-name=usr.sbin.named

override_dh_missing:
	dh_missing $(EXCLUDE_FILES)  --fail-missing

.PHONY: prepare_version_extensions clean_version_extensions

## bind9 9.20.15

=== debian/changelog ===
bind9 (1:9.20.15-2) unstable; urgency=medium

  * Remove libdb-dev build depends (Closes: #1119196)

 -- Ondřej Surý <ondrej@debian.org>  Tue, 28 Oct 2025 07:28:58 +0100

bind9 (1:9.20.15-1) unstable; urgency=medium

  * New upstream version 9.20.15
   - [CVE-2025-8677]: DNSSEC validation fails if matching but invalid
     DNSKEY is found
   - [CVE-2025-40778]: Address various spoofing attacks.
   - [CVE-2025-40780]: Cache-poisoning due to weak pseudo-random number
     generator

 -- Ondřej Surý <ondrej@debian.org>  Wed, 22 Oct 2025 16:40:20 +0200

bind9 (1:9.20.13-1) unstable; urgency=medium

  * New upstream version 9.20.13

 -- Ondřej Surý <ondrej@debian.org>  Wed, 10 Sep 2025 20:31:08 +0200

bind9 (1:9.20.12-1) unstable; urgency=medium

  * New upstream version 9.20.12

 -- Ondřej Surý <ondrej@debian.org>  Wed, 20 Aug 2025 17:22:43 +0200

bind9 (1:9.20.11-4) unstable; urgency=medium

  * Remove named.conf.default-zones.dpkg-dist from /etc/bind

 -- Ondřej Surý <ondrej@debian.org>  Sun, 27 Jul 2025 12:04:56 +0200

bind9 (1:9.20.11-3) unstable; urgency=medium

  * Remove the /etc/bind/named.conf.default-zones again from the
    maintainer script as it might have been reinstalled by
    accident. (Closes: #1108945)

 -- Ondřej Surý <ondrej@debian.org>  Sun, 27 Jul 2025 07:54:24 +0200

bind9 (1:9.20.11-2) unstable; urgency=high

  * Remove /etc/bind/named.conf.default-zones from the package as
    the intent was to remove this file.  (Closes: #1108945)
  * Add new /etc/bind/named.conf.root-hints file that makes 'named'
    to use root.hints from dns-root-data again.

 -- Ondřej Surý <ondrej@debian.org>  Sun, 27 Jul 2025 06:48:59 +0200

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,17 @@
 Source: bind9
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian DNS Team <team+dns@tracker.debian.org>
+Maintainer: Debian DNS Team <team+dns@tracker.debian.org>
 Uploaders: Ondřej Surý <ondrej@debian.org>,
            Bernhard Schmidt <berni@debian.org>
 Build-Depends: bison,
                debhelper-compat (= 12),
                dh-apparmor,
-               dh-apport,
                dh-exec,
                libcap2-dev [linux-any],
                libcmocka-dev,
-               libdb-dev,
                libedit-dev,
+               libfstrm-dev,
                libidn2-dev,
                libjemalloc-dev,
                libjson-c-dev,
@@ -21,6 +19,7 @@
                liblmdb-dev,
                libmaxminddb-dev (>= 1.3.0),
                libnghttp2-dev,
+               libprotobuf-c-dev,
                libssl-dev,
                libsystemd-dev [linux-any],
                libtool,
@@ -28,6 +27,7 @@
                libuv1-dev,
                libxml2-dev,
                pkgconf,
+               protobuf-c-compiler,
                zlib1g-dev
 Build-Depends-Indep: fonts-freefont-otf,
                      latexmk,

=== debian/tests/control ===
Tests: simpletest
Restrictions: isolation-container, needs-internet, needs-root
Depends: bind9,
         bind9-dnsutils

Tests: validation
Restrictions: isolation-container, needs-internet, needs-root, flaky
Depends: bind9,
         bind9-dnsutils

Tests: zonetest
Restrictions: isolation-container, needs-root
Depends: bind9,
         bind9-dnsutils,
         bind9-utils

## bind9 9.20.18

=== debian/changelog ===
bind9 (1:9.20.18-1ubuntu1) resolute; urgency=medium

  * Merge with Debian unstable (LP: #2125995). Remaining changes:
    - Don't build dnstap as it depends on universe packages:
      + d/control: drop build-depends on libfstrm-dev, libprotobuf-c-dev and
        protobuf-c-compiler
      + d/dnsutils.install: don't install dnstap
      + d/rules: don't build dnstap nor install dnstap.proto
    - Add back apport:
      + d/bind9.apport: add back old bind9 apport hook, but without calling
        attach_conffiles() since that is already done by apport itself, with
        confirmation from the user.
      + d/control, d/rules: build-depends on dh-apport and use it
    - d/NEWS: mention relevant packaging changes
  * Drop Changes:
    - d/p/CVE-2025-8677.patch
    - d/p/CVE-2025-40778.patch
    - d/p/CVE-2025-40780.patch
    [Fixed in 9.20.15]
  * Added:
    - d/e/apparmor.d/usr.sbin.named: Allow read access to
      /proc/version_signature for named (LP: #2119320).

 -- Lena Voytek <lena.voytek@canonical.com>  Fri, 06 Feb 2026 16:05:33 -0500

bind9 (1:9.20.18-1) unstable; urgency=medium

  * New upstream version 9.20.18
   + [CVE-2025-13878]: Fix incorrect length checks for BRID and HHIT
     records.

 -- Ondřej Surý <ondrej@debian.org>  Wed, 21 Jan 2026 16:47:34 +0100

bind9 (1:9.20.17-1) unstable; urgency=medium

  * New upstream version 9.20.17

 -- Ondřej Surý <ondrej@debian.org>  Wed, 17 Dec 2025 16:32:20 +0100

bind9 (1:9.20.16-1) unstable; urgency=medium

  * New upstream version 9.20.16

 -- Ondřej Surý <ondrej@debian.org>  Wed, 19 Nov 2025 18:06:11 +0100

bind9 (1:9.20.11-1ubuntu3) resolute; urgency=medium

  * SECURITY UPDATE: Resource exhaustion via malformed DNSKEY handling
    - debian/patches/CVE-2025-8677.patch: count invalid keys as validation
      failures in lib/dns/validator.c.
    - CVE-2025-8677
  * SECURITY UPDATE: Cache poisoning attacks with unsolicited RRs
    - debian/patches/CVE-2025-40778.patch: no longer accept DNAME records
      or extraneous NS records in the AUTHORITY section unless these are
      received via spoofing-resistant transport in doc/arm/reference.rst,
      lib/dns/include/dns/message.h, lib/dns/message.c, lib/dns/resolver.c.
    - CVE-2025-40778
  * SECURITY UPDATE: Cache poisoning due to weak PRNG
    - debian/patches/CVE-2025-40780.patch: change internal random generator
      to a cryptographically secure pseudo-random generator in
      configure.ac, lib/isc/Makefile.am, lib/isc/hash.c, lib/isc/hashmap.c,
      lib/isc/include/isc/nonce.h, lib/isc/include/isc/random.h,
      lib/isc/random.c, tests/isc/random_test.c.
    - CVE-2025-40780

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 21 Oct 2025 07:57:20 -0400

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,18 @@
 Source: bind9
 Section: net
 Priority: optional
-Maintainer: Debian DNS Team <team+dns@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian DNS Team <team+dns@tracker.debian.org>
 Uploaders: Ondřej Surý <ondrej@debian.org>,
            Bernhard Schmidt <berni@debian.org>
 Build-Depends: bison,
                debhelper-compat (= 12),
                dh-apparmor,
+               dh-apport,
                dh-exec,
                libcap2-dev [linux-any],
                libcmocka-dev,
                libedit-dev,
-               libfstrm-dev,
                libidn2-dev,
                libjemalloc-dev,
                libjson-c-dev,
@@ -19,7 +20,6 @@
                liblmdb-dev,
                libmaxminddb-dev (>= 1.3.0),
                libnghttp2-dev,
-               libprotobuf-c-dev,
                libssl-dev,
                libsystemd-dev [linux-any],
                libtool,
@@ -27,7 +27,6 @@
                libuv1-dev,
                libxml2-dev,
                pkgconf,
-               protobuf-c-compiler,
                zlib1g-dev
 Build-Depends-Indep: fonts-freefont-otf,
                      latexmk,

## bind9 9.20.19

=== debian/changelog ===
bind9 (1:9.20.19-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.
  * d/gbp.conf: set branch for bookworm-backports

 -- Bernhard Schmidt <berni@debian.org>  Sat, 21 Feb 2026 14:47:40 +0100

bind9 (1:9.20.19-1) unstable; urgency=medium

  * New upstream version 9.20.19

 -- Ondřej Surý <ondrej@debian.org>  Wed, 18 Feb 2026 12:28:29 +0100

## bind9 9.20.20

=== debian/changelog ===
bind9 (1:9.20.20-1~bpo12+1) bookworm-backports; urgency=medium

  [ Bernhard Schmidt ]
  * Rebuild for trixie-backports.
  * d/gbp.conf: set branch for bookworm-backports

 -- Bernhard Schmidt <berni@debian.org>  Mon, 02 Mar 2026 08:49:45 +0100

bind9 (1:9.20.20-1) unstable; urgency=medium

  * New upstream version 9.20.20

 -- Ondřej Surý <ondrej@debian.org>  Fri, 27 Feb 2026 12:46:48 +0100

## bind9 9.21.3

=== doc/arm/requirements.txt ===
Sphinx==8.1.3
docutils==0.21.2
sphinx_rtd_theme==3.0.1

=== debian/changelog ===
bind9 (1:9.21.3-1) experimental; urgency=medium

  * New upstream version 9.21.3
  * Add testing patch for GLUE cache implementation

 -- Ondřej Surý <ondrej@debian.org>  Wed, 11 Dec 2024 17:51:26 +0100

bind9 (1:9.21.2-302-gebe0db5daad-1) experimental; urgency=medium

  * Remove paths from common binaries found in {/usr,}{/bin,/sbin}
    (Closes: #1055429)
  * New upstream snapshot 9.21.2-302-gebe0db5daad

 -- Ondřej Surý <ondrej@debian.org>  Sun, 08 Dec 2024 14:43:41 +0100

bind9 (1:9.21.2-1) experimental; urgency=medium

  * New upstream version 9.21.2

 -- Ondřej Surý <ondrej@debian.org>  Thu, 10 Oct 2024 10:39:06 +0200

bind9 (1:9.21.1-1) experimental; urgency=medium

  * New upstream version 9.21.1

 -- Ondřej Surý <ondrej@debian.org>  Fri, 20 Sep 2024 14:39:28 +0200

bind9 (1:9.21.0-1) experimental; urgency=medium

  * Update for BIND 9.21 major branch
  * New upstream version 9.21.0

 -- Ondřej Surý <ondrej@debian.org>  Wed, 21 Aug 2024 15:15:06 +0200

## bind9 9.21.9

=== debian/changelog ===
bind9 (1:9.21.9-1) experimental; urgency=medium

  * New upstream version 9.21.9

 -- Ondřej Surý <ondrej@debian.org>  Fri, 20 Jun 2025 06:29:50 +0200

bind9 (1:9.21.8-1) experimental; urgency=high

  [ Ondřej Surý ]
  * New upstream version 9.21.8
   + [CVE-2025-40775] Prevent assertion when processing TSIG algorithm.
  * Fix lintian mismatched-override
  * Use pkgconf instead of pkg-config
  * Remove superfluous-file-pattern(s) from d/copyright
  * Remove full path to named-checkconf in d/bind9.postinst
  * Adjust the autopkg zonetest

  [ Remus-Gabriel Chelu ]
  * [INTL:ro] Romanian debconf templates translation of bind9

 -- Ondřej Surý <ondrej@debian.org>  Wed, 21 May 2025 13:47:25 +0200

bind9 (1:9.21.7-2) experimental; urgency=medium

  [ Ondřej Surý ]
  * Validate configuration file before service restart (Closes: #995310)

  [ Lena Voytek ]
  * Fix German UTF-8 encoding
  * Clean up debian/copyright file
  * Remove lsb-base runtime dependency as it is no longer needed
  * Add zonetest DEP-8 test

  [ Santiago Ruano Rincón ]
  * Add debian/salsa-ci.yml
  * Make d/tests/validation less flaky.

  [ Carles Pina i Estany ]
  * Added po-debconf Catalan translation

  [ Mitchell Dzurick ]
  * d/control: Suggest bind9-doc over bind-doc for the bind9 package

  [ Debian Janitor ]
  * Apply multi-arch hints. + bind9-doc: Add Multi-Arch: foreign.

 -- Ondřej Surý <ondrej@debian.org>  Thu, 17 Apr 2025 21:19:58 +0200

bind9 (1:9.21.7-1) experimental; urgency=medium

  * New upstream version 9.21.7

 -- Ondřej Surý <ondrej@debian.org>  Wed, 16 Apr 2025 15:20:49 +0200

bind9 (1:9.21.6-1) experimental; urgency=medium

  * New upstream version 9.21.6

 -- Ondřej Surý <ondrej@debian.org>  Thu, 13 Mar 2025 11:37:33 +0100

bind9 (1:9.21.5-1) experimental; urgency=medium

  * New upstream version 9.21.5
  * Drop libltdl-dev from Build-Depends, libuv is used
  * Drop transitional package dnsutils (Closes: #1038223)
  * Drop transitional package bind9utils (Closes: #1038222)
  * Use command -v resolvconf to check if it is installed (Closes: #1090804)
  * Add NEWS item about zone transfer ACL change (Closes: #1076674)
  * Remove obsolete empty-zones configuration files
  * Remove obsolete empty-zones configuration files
  * Add Debian NEWS about sd_notify socket (Closes: #1037966)
  * Set Multi-Arch: foreign on bind9-host and dnsutils (Closes: #907804)

 -- Ondřej Surý <ondrej@debian.org>  Wed, 19 Feb 2025 16:01:56 +0100

bind9 (1:9.21.4-1) experimental; urgency=medium

  * New upstream version 9.21.4

 -- Ondřej Surý <ondrej@debian.org>  Mon, 27 Jan 2025 13:08:58 +0100

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,18 @@
 Source: bind9
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian DNS Team <team+dns@tracker.debian.org>
+Maintainer: Debian DNS Team <team+dns@tracker.debian.org>
 Uploaders: Ondřej Surý <ondrej@debian.org>,
            Bernhard Schmidt <berni@debian.org>
 Build-Depends: bison,
                debhelper-compat (= 12),
                dh-apparmor,
-               dh-apport,
                dh-exec,
                libcap2-dev [linux-any],
                libcmocka-dev,
+               libdb-dev,
                libedit-dev,
+               libfstrm-dev,
                libidn2-dev,
                libjemalloc-dev,
                libjson-c-dev,
@@ -20,6 +20,7 @@
                liblmdb-dev,
                libmaxminddb-dev (>= 1.3.0),
                libnghttp2-dev,
+               libprotobuf-c-dev,
                libssl-dev,
                libsystemd-dev [linux-any],
                libtool,
@@ -27,6 +28,7 @@
                libuv1-dev,
                libxml2-dev,
                pkgconf,
+               protobuf-c-compiler,
                zlib1g-dev
 Build-Depends-Indep: fonts-freefont-otf,
                      latexmk,
@@ -38,7 +40,7 @@
                      xindy
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/dns-team/bind9
-Vcs-Git: https://salsa.debian.org/dns-team/bind9.git -b debian/9.20
+Vcs-Git: https://salsa.debian.org/dns-team/bind9.git -b debian/9.19
 Homepage: https://www.isc.org/downloads/bind/
 
 Package: bind9
@@ -72,7 +74,6 @@
          ${misc:Depends},
          ${shlibs:Depends}
 Breaks: freeipa
-Provides: bind9utils
 Description: Utilities for BIND 9
  This package provides various utilities that are useful for maintaining a
  working BIND 9 installation.
@@ -143,7 +144,6 @@
 Priority: standard
 Architecture: any
 Multi-Arch: foreign
-Provides: dnsutils
 Depends: bind9-host | host,
          bind9-libs (= ${binary:Version}),
          ${misc:Depends},
